<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer2Defs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer2_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimer2Defs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer2_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">#ifndef KM_TIMER2DEFS_H_</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">#define KM_TIMER2DEFS_H_</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#ifdef KM_DOXYGEN</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#define COM2C0</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#include &quot;../kmCpu/kmCpuDefs.h&quot;</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a0c1c19efddc89ecab5c0f5d11feb9691">   46</a></span><span class="preprocessor">#define KM_TCC2_STOP        (KM_COMMON_ALL_BITS_CLEARED             )</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a2895ccc6a644436ef170b12084772ffc">   48</a></span><span class="preprocessor">#define KM_TCC2_PRSC_1      (                           _BV(CS20)   )</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a2d2c8839885c3a7b13c9e58d7f62f272">   50</a></span><span class="preprocessor">#define KM_TCC2_PRSC_8      (               _BV(CS21)               )</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a2b9df66319dba38ba07ff2a9d879e971">   52</a></span><span class="preprocessor">#define KM_TCC2_PRSC_32      (              _BV(CS21) | _BV(CS20)   )</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#ab9dc17f7bde1878dcc5d0cc4d9830572">   54</a></span><span class="preprocessor">#define KM_TCC2_PRSC_64     (   _BV(CS22)                           )</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#aef23557195b788cbd0d43db01ee66da4">   56</a></span><span class="preprocessor">#define KM_TCC2_PRSC_128    (   _BV(CS22) |             _BV(CS20)   )</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#ab93c30acd4e1f9b317c1852826d77f40">   58</a></span><span class="preprocessor">#define KM_TCC2_PRSC_256    (   _BV(CS22) | _BV(CS21)               )</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a7e3be548c66ac52430a1789a6389265b">   60</a></span><span class="preprocessor">#define KM_TCC2_PRSC_1024   (_BV(CS22) |    _BV(CS21) | _BV(CS20)   )</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a4cdfb45a5c930decd15af03f662ee523">   62</a></span><span class="preprocessor">#define KM_TCC2_CS_MASK     KM_TCC2_PRSC_1024</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#afe62258413bd43e149d1140a1de9a636">   65</a></span><span class="preprocessor">#define KM_TCC_2_MODE_0     (       KMC_ALL_BITS_CLEARED        )</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#acfa1df52898f7f2a53738ad907e91dce">   67</a></span><span class="preprocessor">#define KM_TCC_2_MODE_1     (                       _BV(WGM20)  )</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#aaf02034da81eb72ab167419b18ae2934">   69</a></span><span class="preprocessor">#define KM_TCC_2_MODE_2     (       _BV(WGM21)                  )</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a4406282d514be85d1dd796b0474ec198">   71</a></span><span class="preprocessor">#define KM_TCC_2_MODE_3     (       _BV(WGM21) |    _BV(WGM20)  )</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="preprocessor">#if defined(KM_CPU_AVR_SERIES_48)</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="preprocessor">#define KM_TCC_2_MODE_1_B   (       KMC_ALL_BITS_CLEARED        )</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="preprocessor">#define KM_TCC_2_MODE_2_B   (       KMC_ALL_BITS_CLEARED        )</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">#define KM_TCC_2_MODE_3_B   (       KMC_ALL_BITS_CLEARED        )</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="preprocessor">#define KM_TCC_2_MODE_4_B   (       KMC_ALL_BITS_CLEARED        )</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="preprocessor">#define KM_TCC_2_MODE_5_B   (       _BV(WGM22)                  )</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="preprocessor">#define KM_TCC_2_MODE_7_B   (       _BV(WGM22)                  )</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#ab54d2b8de3fa5b71b0170598d7cf66e0">   84</a></span><span class="preprocessor">#define KM_TCC2_COMP_OUT_NORMAL     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#af3ea862ef2dff9922392c23ad25b0a9a">   86</a></span><span class="preprocessor">#define KM_TCC2_COMP_OUT_TOGGLE     (               _BV(COM20)  )</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#ac0b762708118404ce569496a54877539">   88</a></span><span class="preprocessor">#define KM_TCC2_COMP_OUT_CLEAR      (_BV(COM21)                 )</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a06bb8ce6f2c725f7f5d44f44a972ad3f">   90</a></span><span class="preprocessor">#define KM_TCC2_COMP_OUT_SET        (_BV(COM21) |   _BV(COM20)  )</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a8cb0814a83944df85f13b774142c73ff">   93</a></span><span class="preprocessor">#define KM_TCC2_PWM_COMP_OUT_NORMAL                 (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a8d72545abe76ed3484ce50bdf452b130">   95</a></span><span class="preprocessor">#define KM_TCC2_PWM_COMP_OUT_RESERVED               (               _BV(COM20)  )</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a7d63cdf6821884e77d0260f6f73caee3">   97</a></span><span class="preprocessor">#define KM_TCC2_PWM_COMP_OUT_CLEAR_UP_SET_DOWN      (_BV(COM21)                 )</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="km_timer2_defs_8h.html#a206849ef6b4cfc71a30137d23acbe512">   99</a></span><span class="preprocessor">#define KM_TCC2_PWM_COMP_OUT_SET_UP_CLEAR_DOWN      (_BV(COM21) |   _BV(COM20)  )</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>}</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="preprocessor">#endif </span><span class="comment">/* KM_TIMER2DEFS_H_ */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer2_defs_8h.html">kmTimer2Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
